Agara

Place an order

API order placement

For API trading, use pre-signed orders. Server-side signing may slow order ingestion. This endpoint signs orders on the server. Follow the one-time setup and grant orders:place_signed to use the signed single-order endpoint or signed batch endpoint.

POST/trade/v1/orders

Authorization

personal_access_token orders:place
AuthorizationBearer <token>

Personal access token issued from the web app's Settings → API tokens page. Send as Authorization: Bearer agt_….

In: header

Scope: orders:place

Request Body

application/json

CLOB order creation request body.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/trade/v1/orders" \  -H "Content-Type: application/json" \  -d '{    "side": "BUY",    "time_in_force": "FAK",    "token_id": "string",    "type": "LIMIT"  }'
{  "as_of": "2019-08-24T14:15:22Z",  "order_id": "93101167-9065-4b9c-b98b-5d789a3ed9fe",  "pending_operation": "SUBMIT",  "source": "AGARA",  "status": "PENDING"}